<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- parameters: specimen -->
    <div class="col-lg-6">
        <dl class="dl-horizontal">
            <s:decorate template="/layout/display/_data_list_item.xhtml"
                        rendered="#{specimen.placerAssignedIdentifier != null}">
                <ui:define name="label">#{messages['gazelle.ordermanager.PlacerAssignedIdentifier']}</ui:define>
                <h:outputText value="#{specimen.placerAssignedIdentifier}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml"
                        rendered="#{specimen.fillerAssignedIdentifier != null}">
                <ui:define name="label">#{messages['gazelle.ordermanager.FillerAssignedIdentifier']}</ui:define>
                <h:outputText value="#{specimen.fillerAssignedIdentifier}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.ordermanager.SpecimenType']}</ui:define>
                <h:outputText value="#{valueSet.getDisplayNameForCode('specimenType', specimen.type)}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.ordermanager.SpecimenCollectionMethod']}</ui:define>
                <h:outputText
                        value="#{valueSet.getDisplayNameForCode('collectionMethod', specimen.collectionMethod)}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.ordermanager.SpecimenSourceSite']}</ui:define>
                <h:outputText value="#{specimen.sourceSite}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.ordermanager.SpecimenSourceSiteModifier']}</ui:define>
                <h:outputText value="#{specimen.sourceSiteModifier}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.ordermanager.SpecimenRole']}</ui:define>
                <h:outputText value="#{valueSet.getDisplayNameForCode('specimenRole', specimen.role)}"/>
            </s:decorate>
        </dl>
    </div>
    <div class="col-lg-6">
        <dl class="dl-horizontal">
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.ordermanager.SpecimenRiskCode']}</ui:define>
                <h:outputText value="#{valueSet.getDisplayNameForCode('riskCode', specimen.riskCode)}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.ordermanager.SpecimenCollectionDatetime']}</ui:define>
                <g:date value="#{specimen.collectionDateTime}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.ordermanager.SpecimenReceivedDatetime']}</ui:define>
                <g:date value="#{specimen.receivedDateTime}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.ordermanager.SpecimenAvailable']} ?</ui:define>
                <h:outputText value="#{messages['gazelle.ordermanager.True_2']}" rendered="#{specimen.available}"/>
                <h:outputText value="#{messages['gazelle.ordermanager.False']}" rendered="#{not specimen.available}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml">
                <ui:define name="label">#{messages['gazelle.ordermanager.ContainerType']}</ui:define>
                <h:outputText value="#{specimen.containerType}"/>
            </s:decorate>
            <s:decorate template="/layout/display/_data_list_item.xhtml" rendered="#{specimen.containers != null}">
                <ui:define name="label">#{messages['gazelle.ordermanager.NumberOfSpecimenContainers']}</ui:define>
                <h:outputText value="#{specimen.containers.size()}"/>
            </s:decorate>
        </dl>
    </div>
</ui:composition>
